Subject: Re: draft-andrews-dnsext-ipv6-fragmentation

From: Mark Andrews <[email-masked]>
Date: Mon, 05 Dec 2011 16:24:36 +1100

In message <[email-masked]>, "Ste
phan Lagerholm" writes:
> Hi Mark,
> 
> You can get blocked ICMP 'packet too big' even if you have the MTU set
> to 1280.=20
> 
> RFC 2460:
> In response to an IPv6 packet that is sent to an IPv4 destination (i.e.,
> a packet that undergoes translation from IPv6=20
> to IPv4), the originating IPv6 node may receive an ICMP Packet Too Big
> message reporting a Next-Hop MTU less than 1280.=20
> In that case, the IPv6 node is not required to reduce the size of
> subsequent packets to less than 1280, but must include=20
> a Fragment header in those packets so that the IPv6-to-IPv4 translating
> router can obtain a suitable Identification=20
> value to use in resulting IPv4 fragments. Note that this means the
> payload may have to be reduced to 1232 octets (1280=20
> minus 40 for the IPv6 header and 8 for the Fragment header), and smaller
> still if additional extension headers are used.

Which just mean that 6man needs to extend the IPv6 socket API so
that the insertion of a fragment header can be signaled.  Or
IPV6_USE_MIN_MTU=1 needs to imply that a fragment header needs to
be added to packets that are not fragmented.  Currently IPV6_USE_MIN_MTU
doesn't quite fully disable PMTUD.

RFC 3542 allows you to turn off adding the adding of Fragment headr
by there is no mechanism to force the adding of a Fragment header.

> /Stephan
> 
> > -----Original Message-----
> > From: [email-masked] [mailto:[email-masked]] On
> > Behalf Of Mark Andrews
> > Sent: Sunday, December 04, 2011 6:02 PM
> > To: Paul Hoffman
> > Cc: [email-masked]; Olafur Gudmundsson
> > Subject: Re: [dnsext] draft-levine-dnsextlang-02
> >=20
> > On a similar matter I was in the process of submitting the following.
> > I just needed to address internal comments.  I also think my EDNS
> > expire option still needs to be addressed though I suspect I'll do
> that
> > as a individual submission.
> >=20
> > Mark
> > --
> > Mark Andrews, ISC
> > 1 Seymour St., Dundas Valley, NSW 2117, Australia
> > PHONE: +61 2 9871 4742                 INTERNET: [email-masked]
-- 
Mark Andrews, ISC
1 Seymour St., Dundas Valley, NSW 2117, Australia
PHONE: +61 2 9871 4742                 INTERNET: [email-masked]